import java.io.*;

/**
 * Пример использования классов FileInputStream и FileOutputStream
 * */
public class Main {
    public static void main(String[] args) throws IOException {
        /*Создаем ссылку на поток работы с файлом для ввода*/
        InputStream in = new FileInputStream("in.txt");
        /*Создаем ссылку на поток работы с файлом для вывода*/
        OutputStream out = new FileOutputStream("out.txt");

        /*Создаем буфер для храения последовательности байтов*/
        byte[] buffer = new byte[1024];
        /*Читаем байты в буфер пока можем*/
        while (in.read(buffer) != -1) {
            /*Записываем прочтенную последовательность байтов в поток вывода*/
            out.write(buffer);
        }
        /*Сбрасываем содержимое буфера в поток вывода*/
        out.flush();

        System.out.println("Содержимое файла скопировано.");
    }
}
